<?php

/*
 * This file is part of the Qsnh/meedu.
 *
 * (c) XiaoTeng <616896861@qq.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace Addons\No9Theme\Constant;

use Addons\No9Theme\No9Core\Payment\Alipay\Alipay;
use Addons\No9Theme\No9Core\Payment\HandPay\HandPay;
use Addons\No9Theme\No9Core\Payment\Wechat\Wechat;

class Constant
{
    public const APP_SIGN = 'No9Theme';

    // 支付网关
    public const No9_PAYMENT =
        [
            'alipay' =>
                ['handler' => Alipay::class,
                    'name' => '支付宝',
                    'logo' => '/images/icons/alipay.png',
                    'sign' => 'alipay',
                    'default_method' => 'web',
                    'pc' => 'web',
                    'h5' => 'wap',
                    'enabled' => 0
                ],
            'wechat' =>
                ['handler' => Wechat::class,
                    'name' => '微信支付',
                    'logo' => '/images/icons/wechat-pay.png',
                    'sign' => 'wechat',
                    'default_method' => 'scan',
                    'pc' => 'scan',
                    'h5' => 'scan',
                    'wechat' => 'scan',
                    'wechat_mini' => 'miniapp',
                    'enabled' => 0],
            'handPay' =>
                ['handler' => HandPay::class,
                    'name' => '手动打款',
                    'logo' => '/images/icons/handpay.png',
                    'sign' => 'handPay',
                    'default_method' => 'hand',
                    'pc' => 'hand',
                    'h5' => 'hand',
                    'wechat' => 'hand',
                    'enabled' => 0
                ]
        ];
}
