<?php


namespace Addons\No9Theme\Http\Controllers\Api;


use App\Http\Controllers\Api\V2\BaseController;
use App\Services\Course\Interfaces\CourseServiceInterface;
use App\Services\Course\Services\CourseService;


class CourseController extends BaseController
{
    /**
     * @var CourseService
     */
    protected $courseService;

    public function __construct(
        CourseServiceInterface $courseService
    )
    {
        $this->courseService = $courseService;
    }

    //获取推荐课程
    public function recCourses()
    {
        $recCourses = $this->courseService->getRecCourses(4);
        return $this->data($recCourses);
    }

    /**
     * 设置用户某个课程的观看进度
     *
     * @param integer $userId
     * @param integer $courseId
     * @param integer $progress
     */
    public function setUserWatchProgress(int $courseId)
    {
        $progress = request()->input('progress', '');
        $res = $this->courseService->setUserWatchProgress($this->id(), $courseId, $progress);
        return $this->data($res);
    }

    /**
     * @param int $userId
     * @param int $courseId
     */
    public function setUserWatchedCourse(int $courseId)
    {
        $res = $this->courseService->setUserWatchedCourse($this->id(), $courseId);
        return $this->data($res);
    }
}