<?php

/*
 * This file is part of the Qsnh/meedu.
 *
 * (c) XiaoTeng <616896861@qq.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

// auth:apiv2 = 登录校验

use Addons\No9Theme\Http\Controllers\Api\AnnouncementController;
use Addons\No9Theme\Http\Controllers\Api\CourseController;
use Addons\No9Theme\Http\Controllers\Api\OrderController;

Route::group(['prefix' => 'no9'], function () {
    //系统通知
    Route::get('/announcement', AnnouncementController::class . '@index');
    Route::get('/announcement/{id}', AnnouncementController::class . '@show');

    //推荐课程
    Route::get('/rec_courses', CourseController::class . '@recCourses');


    Route::group(['middleware' => ['auth:apiv2', 'api.login.status.check']], function () {
        Route::post('/course/{courseId}/watchProgress', CourseController::class . '@setUserWatchProgress');
        Route::post('/course/{courseId}/watchedCourse', CourseController::class . '@setUserWatchedCourse');

        //web端订单创建
        Route::post('/order/courseBuyHandler', OrderController::class . '@courseBuyHandler');

        // 收银台
        Route::get('/order/pay/success', OrderController::class . '@paySuccess');
        Route::get('/order/pay', OrderController::class . '@pay');
        Route::get('/order/pay/wechat/{order_id}', OrderController::class . '@wechat');
        Route::get('/order/pay/handPay/{order_id}', OrderController::class . '@handPay');
    });
});
